import * as React from 'react';
import { DirectionalHint, TextField } from '../../../../index';
import './ContextualMenuExample.scss';
export interface IContextualMenuDirectionalExampleState {
    isContextualMenuVisible?: boolean;
    directionalHint?: DirectionalHint;
    isBeakVisible?: boolean;
    gapSpace?: number;
}
export declare class ContextualMenuDirectionalExample extends React.Component<{}, IContextualMenuDirectionalExampleState> {
    refs: {
        [key: string]: React.ReactInstance;
        menuButton: HTMLElement;
        gapSize: TextField;
    };
    constructor();
    render(): JSX.Element;
    private _onShowBeakChanged(isVisible);
    private _onShowMenuClicked();
    private _onDismissMenu(ev);
    private _onDirectionalChanged(option);
    private _onChangeGapSizeClicked();
}
